=== debian/control ===
Source: wmcliphist
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>,
           Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmcliphist
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcliphist
Vcs-Git: https://salsa.debian.org/wmaker-team/wmcliphist.git

Package: wmcliphist
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp which provides a history for X11 selections
 wmcliphist is a dockable application for Window Maker. It keeps a
 history of clipboard operations and allows you to put previously
 copied items back to clipboard for pasting to other applications.
